cURL
curl --request POST \
--url https://api.hubapi.com/crm/imports/2026-03 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form files='@example-file' \
--form 'importRequest=<string>'import requests
url = "https://api.hubapi.com/crm/imports/2026-03"
files = { "files": ("example-file", open("example-file", "rb")) }
payload = { "importRequest": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
form.append('importRequest', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.hubapi.com/crm/imports/2026-03', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"mappedObjectTypeIds": [
"<string>"
],
"metadata": {
"counters": {},
"fileIds": [
"<string>"
],
"objectLists": [
{
"listId": "<string>",
"objectType": "<string>"
}
]
},
"optOutImport": true,
"updatedAt": "2023-11-07T05:31:56Z",
"importName": "<string>",
"importRequestJson": {},
"importTemplate": {
"templateId": 123
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}インポート
Start an import
POST
/
crm
/
imports
/
2026-03
cURL
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
レスポンス
successful operation
オブジェクトが作成された時点のタイムスタンプ(ISO 8601形式)。
このインポートの固有ID。
Show child attributes
Show child attributes
Eメールを受信しない人のリストのインポートかどうか。
インポートのステータス。
利用可能なオプション:
CANCELED, DEFERRED, DONE, FAILED, PROCESSING, REVERTED, STARTED インポートレコードが最後に更新された時点のタイムスタンプ(ISO 8601インスタント形式)。
このインポートのユーザーが指定した名前。
JSONオブジェクトとしての完全なインポートリクエスト設定。
インポートが開始された場所/方法を示します。
利用可能なオプション:
API, CRM_UI, IMPORT, MOBILE_ANDROID, MOBILE_IOS, SALESFORCE Show child attributes
Show child attributes
最終更新日 2026年4月10日
⌘I